# QuizPoll - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.polls / QuizPoll

# QuizPoll

(common) `data class QuizPoll : Poll, CaptionedInput, ExplainedInput` (source)

### Constructors

(common)

#### <init>

`QuizPoll(id: PollIdentifier, question: String, options: List<PollOption>, votesCount: Int, correctOptionId: Int? = null, explanation: String? = null, explanationEntities: List<TextPart> = emptyList(), isClosed: Boolean = false, isAnonymous: Boolean = false, scheduledCloseInfo: ScheduledCloseInfo? = null)`

### Properties

(common)

#### caption

`val caption: String?`

(common)

#### captionEntities

Not full list of entities. This list WILL NOT contain TextParts with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`val captionEntities: List<TextPart>`

(common)

#### correctOptionId

Nullable due to documentation (https://core.telegram.org/bots/api#poll)

`val correctOptionId: Int?`

(common)

#### explanation

`val explanation: String?`

(common)

#### explanationEntities

Not full list of entities. This list WILL NOT contain TextParts with com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources.RegularTextSource

`val explanationEntities: List<TextPart>`

(common)

#### id

`val id: PollIdentifier`

(common)

#### isAnonymous

`val isAnonymous: Boolean`

(common)

#### isClosed

`val isClosed: Boolean`

(common)

#### options

`val options: List<PollOption>`

(common)

#### question

`val question: String`

(common)

#### scheduledCloseInfo

`val scheduledCloseInfo: ScheduledCloseInfo?`

(common)

#### votesCount

`val votesCount: Int`

### Extension Functions

(common)

#### createRequest

`fun Poll.createRequest(chatId: ChatIdentifier, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null): SendPoll`

(common)

#### toHtmlCaptions

`fun CaptionedInput.toHtmlCaptions(): List<String>`

(common)

#### toHtmlExplanations

`fun ExplainedInput.toHtmlExplanations(): List<String>`

(common)

#### toMarkdownCaptions

`fun CaptionedInput.toMarkdownCaptions(): List<String>`

(common)

#### toMarkdownExplanations

`fun ExplainedInput.toMarkdownExplanations(): List<String>`

(common)

#### toMarkdownV2Captions

`fun CaptionedInput.toMarkdownV2Captions(): List<String>`

(common)

#### toMarkdownV2Explanations

`fun ExplainedInput.toMarkdownV2Explanations(): List<String>`